flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Mclean <jus...@classsoftware.com>
Subject Re: [FALCON] Should Falcon compile older SDKs?
Date Wed, 18 Sep 2013 00:12:39 GMT

> If Erik doesn't want to upgrade to 4.11, he can add a <theme> tag to his SDK's
> air-config.xml.  Are we ok with that?
-1 to that, sorry but it's just going to confuse people.

> My internal customer's app specifies a long list of locales, including
> en_GB.  But they don't have custom resource bundles for en_GB because
> MXMLC will swap in the en_US bundle when it can't find a bundle for en_GB.
A better solution would be to have an "en" locale, and then specify changes in "en_US", "en_GB",
"en_AU" etc as required. If there no "en_GB" then it falls back to "en".

> I'm going to change the ResourceManager to ignore missing bundles because the lookup
> doesn't need it. 
-1 to that. It does need it, if there no fallback locale in the chain then error strings,
UI elements, etc etc can be blank.

View raw message